Bug 849456 - [RFE] Support for authentication methods beyond tempauth for Swift
[RFE] Support for authentication methods beyond tempauth for Swift
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-swift (Show other bugs)
2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Thiago da Silva
SATHEESARAN
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 11:39 EDT by Jacob Shucart
Modified: 2016-09-20 01:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 04:42:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacob Shucart 2012-08-19 11:39:14 EDT
Red Hat Storage New Feature Submission Template

Feature Title: Support for authentication methods beyond tempauth for Swift


Feature Description: Our current Swift implementation is limited to tempauth which stores passwords in a flat file.  This is not ideal.  Customers have requested that other authentication methods such as integration with LDAP be added


Customer(s) Asking for the feature: Catalyst was one.  This has come up in other discussions as well.


Customer(s) contacts re: requests for future feature clarification  Brian Ford


Use-cases that this feature solves or helps in solving: Anyone who wants to use Swift and needs better authentication security than flat files.


Dependencies on other features & capabilities: **Optional


Potential Revenue Impact: None currently.


Risks (if any) if we don't implement:** Optional


Time Frame (when is this needed):** Required
Comment 2 Luis Pabón 2013-07-12 14:22:45 EDT
RHS 2.1 Swift support will have support for Keystone through normal openstack api's and kerberos through Fed-c https://forge.gluster.org/swiftkerbauth project.
Comment 3 Luis Pabón 2013-07-16 21:00:32 EDT
RHS 2.0 UFO Bugs are being set to low priority.
Comment 4 Prashanth Pai 2014-02-05 10:54:59 EST
gluster-swift can work with the following in Corbett:
- tempauth
- gswauth
- keystone (can have ldap integration)
Comment 5 crisbud@redhat.com 2014-03-25 04:53:06 EDT
Later releases would have SwiftKerbAuth with gluster-swift.
Comment 6 crisbud@redhat.com 2014-03-25 05:00:15 EDT
Post Corbett will have SwiftKerbAuth code changes : 

http://review.gluster.org/#/c/6597/

http://review.gluster.org/#/c/6764/

http://review.gluster.org/#/c/6925/

Are merged to master (icehouse) gluster-swift project.
Comment 7 Prashanth Pai 2016-02-17 04:42:50 EST
RHGS works with:
* tempauth
* gswauth
* keystone

swiftkerbauth project is defunct and not maintained. LDAP integration can be achieved via keystone.

Note You need to log in before you can comment on or make changes to this bug.